<template>
  <div class="cont">
    <div class="contact">
      <h1>Do you want to contact me? </h1>
      <br>
      <h2>Do you have any questions?</h2>
      <br>
      <h2>Maybe you just want to find more <br>about me <strike>and my hidden config files</strike>?</h2>
      <ul id="api" v-if="emails && emails.length">
        <li v-for="emails of emails" v-bind:key="emails">
          <p><strong>Email: {{emails.email}}</strong><br>
          Name: {{emails.name}}<br>
          Business: {{emails.business}}</p>
        </li>
      </ul>

      <ul v-if="errors && errors.length">
        <li v-for="error of errors" v-bind:key="error">
          {{error.message}}
        </li>
      </ul>
    </div>
    <div class="txtbck">
      If you want to get in contact with me, you can send me an email on:<br>
      <a id='h-link1' href="https://e-mailer.link/en/"><u>laudzevicius24@hotmail.com</u></a> <br>
      I usually check every two to three days.
      <br><br>
      If you want to know more about my education or qualities, you can try to look at my LinkedIn:<br>
      <a href="https://www.linkedin.com/in/lukas-audzevicius-3872a9176">LinkedIn</a><br>
      I'm not that active but I try to keep my profile up-to-date.
      <br><br>
      On the other hand, if you are looking to see some of my work, you can check my GitLab profile:<br>
      <a href="https://gitlab.com/lukas.aud">GitLab</a><br>
      It ain't much, but it's honest work.
      <br><br>
      You can also find me on Facebook:<br>
      <a href="https://www.facebook.com/lukas.lituanitoaud">Facebook</a><br><br>
      Alternatively, if you want me to contact you regarding any topic, you can leave your details and reason for contacting below:<br><br>

    <div class="boxi">
    <b-form @submit="onSubmit" v-if="show">
      <b-form-group id="inputGroup1"
                    label="Email address:"
                    label-for="input1"
                    description="All information sent will be completely private and confidential.">
        <b-form-input id="input1"
                      type="email"
                      v-model="form.email"
                      required
                      placeholder="Enter email">
        </b-form-input>
      </b-form-group>
      <b-form-group id="inputGroup2"
                    label="Your Name:"
                    label-for="input2">
        <b-form-input id="input2"
                      type="text"
                      v-model="form.name"
                      required
                      placeholder="Enter name">
        </b-form-input>
      </b-form-group>
      <b-form-group id="inputGroup3"
                    label="Reason:"
                    label-for="input3">
        <b-form-select id="input3"
                      :options="reasons"
                      required
                      v-model="form.reasons ">
        </b-form-select>
      </b-form-group>
      <b-button id="input-submit" type="submit" variant="dark">Send</b-button>
    </b-form>
  </div>
  </div>
</div>
</template>

<script>
import axios from 'axios'
export default {
  data () {
    return {
      emails: [],
      errors: [],
      form: {
        email: '',
        name: '',
        reasons: null
      },
      reasons: [{ text: 'Select One', value: null }, 'Work', 'Personal', 'Other'],
      show: true
    }
  },
  methods: {
    onSubmit (evt) {
      evt.preventDefault()

      axios.post('http://localhost:3000/emails', {
        email: this.form.email,
        name: this.form.name,
        business: this.form.reasons
      })
        .then(response => {})
        .catch(e => {
          this.errors.push(e)
        })

      /* Reset our form values */
      this.form.email = ''
      this.form.name = ''
      this.form.reasons = null
      /* Trick to reset/clear native browser form validation state */
      this.show = false
      this.$nextTick(() => { this.show = true })
      location.reload()
    }
  },
  mounted: function () {
    axios.get('http://localhost:3000/emails').then(response => {
      this.emails = response.data
    })
      .catch(e => {
        this.errors.push(e)
      })
  }
}
</script>

<style scoped lang="scss">
.contact{
  font-family: Arial, Helvetica, sans-serif;
  text-align: left;
  padding: 2% 9%;
  margin-bottom: 12%
}
.boxi{
  font-family: Arial, Helvetica, sans-serif;
}
</style>
